Bug 1311228 - python-cassandra-driver: Provide a Python 3 subpackage
python-cassandra-driver: Provide a Python 3 subpackage
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-cassandra-driver (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lumír Balhar
Fedora Extras Quality Assurance
:
Depends On: 1348231
Blocks: PYTHON3 PY3PATCH-AVAILABLE
  Show dependency treegraph
 
Reported: 2016-02-23 11:25 EST by Tomas Orsava
Modified: 2016-08-08 16:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-08 16:24:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
update-python-version-and-driver-version (4.24 KB, patch)
2016-07-16 08:50 EDT, dima
no flags Details | Diff

  None (edit)
Description Tomas Orsava 2016-02-23 11:25:21 EST
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Dominika Krejčí 2016-04-06 11:05:23 EDT
Ping?

No response as of yet from maintainer.
Comment 2 dima 2016-07-16 08:50 EDT
Created attachment 1180417 [details]
update-python-version-and-driver-version

hello
attached patch for update python to 3 and version of driver to latest stable
Comment 3 Fedora Admin XMLRPC Client 2016-07-20 06:54:04 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2016-07-20 08:07:01 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Lumír Balhar 2016-07-22 09:14:25 EDT
This bug will be resolved as soon as the request for update the cassandra-driver will be resolved in the separated bug (1348231).
Comment 6 Jan Kurik 2016-07-26 00:32:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 7 Lumír Balhar 2016-08-08 16:24:16 EDT
New version of python-cassandra-driver is available in rawhide, F25 and F24 as update.

Note You need to log in before you can comment on or make changes to this bug.